#ifndef __COMMON_MACROS_H
#define __COMMON_MACROS_H

#include <stdio.h>

#define ERROR_PRINT(format_string, variable) \
        fprintf(stderr, "ERROR: " format_string "\n", variable)

#ifdef DEBUG
#define DEBUG_PRINT(format_string, variable) \
                fprintf(stderr, "DEBUG: " format_string "\n", variable)
#else
#define DEBUG_PRINT(foo,bar)    /* NULL */
#endif

#define DFBCHECK(x...)                                                          \
{                                                                               \
        DFBResult err = x;                                                      \
                                                                                \
        if (err != DFB_OK)                                                      \
        {                                                                       \
                fprintf( stderr, "FATAL: %s <%d>:\n\t", __FILE__, __LINE__ );   \
                DirectFBErrorFatal( #x, err );                                  \
        }                                                                       \
}
#endif /* __COMMON_MACROS_H */
