/************************************************************************
 *                              functions.h                             *
 *                                                                      *
 *  2005-05-28 03:24 EDT                                                *
 *  Copyright  2005     Vincenzo Ampolo <vincenzo.ampolo@gmail.com>     *
 *                      Luis Mondesi <lemsx1@gmail.com>                 *
 ************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

#ifndef _splashy_H
#define _splashy_H

#include <glib.h>
#include <directfb.h>

#include "video.h"

#define PROGRESS_MAX 	                100
#define TTY_SILENT 	                8
#define TTY_VERBOSE 	                1

/** public functions */
void chvt (gint vt_no);
/*
 * use to test strings in special files/buffers 
 */
inline gboolean spl_test_env_pattern (const gchar * perr_pattern,
                                      const gchar * filename);
gboolean spl_init ();           /* initializes splashy fifo and others */

void splashy_child_exit ();
void splashy_child_start ();    /* thread handler */
void splashy_child_stop ();     /* thread handler */
void splashy_child_test ();     /* same as *_child_start() but for testing
                                 * purposes */

#endif /* _splashy_H */
