#ifndef _video_H
#define _video_H

#include <glib.h>
#include <directfb.h>

typedef struct spl_videomode_s {
        gint width;
        gint height;
        gint out_width;
        gint out_height;
        gint overx;
        gint overy;
        gint bpp;
} spl_videomode_t;

typedef struct {
	IDirectFB *dfb;                         /** our directfb object */
	IDirectFBImageProvider *provider;       /** foo */
	IDirectFBSurface *surface;              /** our image holder */
        IDirectFBInputDevice *keyboard;         /** our main input dev */
        IDirectFBEventBuffer *ev_buffer;        /** our events listener */
	DFBSurfaceDescription desc;             /** bar */
        spl_videomode_t *mode;                  /** video mode supported by surface */
} splashy_video_t;

/* public functions */
gint video_draw_progressbar(splashy_video_t *video, DFBRectangle *progressbar);
gint video_update_progressbar(splashy_video_t *video, DFBRectangle *progressbar, gint perc);
void video_start_splash(splashy_video_t *video, const gchar *background);
void video_change_splash(splashy_video_t *video, const gchar *newimage);
void video_set_mode(splashy_video_t *video);
void video_allow_vt_switching();
void video_verbose_text(splashy_video_t * video);

#endif
