/************************************************************************
 *                              xml_config.h                            *
 *                                                                      *
 *  2005-10-01 09:48 EDT                                                *
 *  Copyright  2005  Luis Mondesi <lemsx1@gmail.com>                    *
 ************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

/*
 * This uses xml_parser to get configuration options from our configuration
 * and theme files. Leaving xml_parser as an all purpose, pristine, xml parser.
 */

#ifndef _XML_CONFIG_H
#define _XML_CONFIG_H

#include "xml_parser.h"
/*
 * default location for our main config file. @see doc/ for examples 
 */
#define SPL_CONFIG_FILE "/etc/splashy/config.xml"
/*
 * our themes are simple directories with a config.xml file pointing to
 * pictures and setting other progressbar and theme related variables 
 */
#define SPL_THEME_CONFIG_FILE_NAME "config.xml"
/** xpaths for common xml strings in config files */
#define SPL_FIFO_XPATH                  "/splashy/fifo"
#define SPL_AUTO_VERBOSE_ON_ERROR       "/splashy/autoverboseonerror"
#define SPL_CURRENT_THEME               "/splashy/current_theme"
#define SPL_DEFAULT_THEME               "/splashy/default_theme"
#define SPL_THEMES_DIR                  "/splashy/themes"

xml_parser_t *splashy_xml_config;      /** global: default config file db */

/** public functions */
gboolean init_config (const gchar * _filename);

#endif /* _XML_CONFIG_H */
