/***************************************************************************
 *            xml_functions.c
 *
 *  Sat Aug 13 19:56:58 2005
 *  Copyright  2005  Vincent Amouret
 *  vincent.amouret@gmail.com
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

#include "xml_functions.h"
#include "xml_format.h"
#include "xml_config.h"

/*
 ** gen_config_xml
 ** desc: generate the config.xml file
 ** args: spl_theme_path
 **       spl_fifo_path
 **       spl_pid_path
 ** the xml_fields
 */
        void
gen_config_xml (gchar * spl_theme_path,
                gchar * spl_current_path,
                gchar * spl_fifo_path, gchar * spl_pid_path)
{
        FILE *file = fopen (SPL_CONFIG_FILE, "w+");
        fprintf (file,
                        CONFIG_XML_FORMAT,
                        spl_theme_path,
                        spl_current_path, spl_fifo_path, spl_pid_path);
        fclose (file);
}

/*
 ** gen_theme_xml
 ** desc: generate the config.xml file of the themes 
 ** args: theme_file -> the complete filename path
 **       struct of xml fields
 */

        int
gen_theme_xml (gchar * theme_file, XmlFields spl_theme)
{
        FILE *file;
        if ((file = fopen (theme_file, "w+")) == NULL)
        {

                g_print ("Erreur\n");

                return -1;
        }
        fprintf (file,
                        THEME_XML_FORMAT,
                        spl_theme.name,
                        spl_theme.description,
                        spl_theme.author,
                        spl_theme.x,
                        spl_theme.y,
                        spl_theme.width,
                        spl_theme.height,
                        spl_theme.red,
                        spl_theme.blue,
                        spl_theme.green,
                        spl_theme.alpha,
                        spl_theme.boot,
                        spl_theme.shutdown,
                        spl_theme.error,
                        spl_theme.verbose,
                        spl_theme.progressbaronboot,
                        spl_theme.progressbaronshutdown);
        fclose (file);

        return 0;
}
