/***************************************************************************
 *            xml_functions.h
 *
 *  Sat Aug 13 19:56:01 2005
 *  Copyright  2005  Vincent Amouret
 *  vincent.amouret@gmail.com
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */







#ifndef _XML_FUNCTIONS_H
#define _XML_FUNCTIONS_H

#include <stdio.h>
#include <glib.h>

#include "xml_config.h"


typedef struct _xml_fields
{

        gchar name[255];
        gchar description[255];
        gchar author[255];
        /*
         * 0->100 
         */
        guint x;
        guint y;
        guint width;
        guint height;
        /*
         * 0->255 
         */
        guint red;
        guint green;
        guint blue;
        guint alpha;
        gchar boot[255];
        gchar shutdown[255];
        gchar error[255];
        gchar verbose[255];
        gchar progressbaronboot[255];
        gchar progressbaronshutdown[255];
} XmlFields;

#ifdef __cplusplus
extern "C"
{
#endif


        void gen_config_xml (gchar * spl_theme_path,
                        gchar * spl_current_path,
                        gchar * spl_fifo_path, gchar * spl_pid_path);

        int gen_theme_xml (gchar * theme_file, XmlFields spl_theme);

#ifdef __cplusplus
}
#endif

#endif                          /* _XML_FUNCTIONS_H */
